Next Commerce
Webhook Event ReferenceProducts

product.created

Triggers when a new product is created.

Request Body

application/json

api_version?string

API Version of the object data schema.

data?
event_id?string

Unique id associated with this webhook event.

Formatuuid
event_type?string

Webhook event type of the current event.

object?string

Object data type.

webhook?

Response Body

Example Requests

POST/product.created

{
  "api_version": "2024-04-01",
  "data": {
    "categories": [
      {
        "id": 0,
        "name": "string",
        "slug": "string"
      }
    ],
    "date_created": "2024-01-01T00:00:00Z",
    "date_updated": "2024-01-01T00:00:00Z",
    "description": "string",
    "enable_subscription": false,
    "external_tax_code": null,
    "id": 0,
    "images": [
      {
        "attachment": null,
        "caption": "string",
        "display_order": 0,
        "file_name": "string",
        "id": 0,
        "src": null
      }
    ],
    "interval": null,
    "interval_counts": null,
    "is_discountable": false,
    "is_public": false,
    "meta_description": null,
    "meta_title": null,
    "metadata": {},
    "ranking": 0,
    "rating": null,
    "recommended_products": [
      0
    ],
    "slug": "string",
    "structure": "string",
    "template": null,
    "title": "string",
    "url": "https://example.com",
    "variant_attributes": [
      {
        "code": "string",
        "name": "string",
        "values": [
          "string"
        ]
      }
    ],
    "variants": [
      {
        "allow_backorders": false,
        "date_created": "2024-01-01T00:00:00Z",
        "date_updated": "2024-01-01T00:00:00Z",
        "id": 0,
        "images": "string",
        "inventory_availability": null,
        "metadata": {},
        "prices": [
          {
            "currency": null,
            "price": null,
            "retail": null,
            "subscription": null,
            "subscription_suggested_downsell": null
          }
        ],
        "product_id": 0,
        "purchase_availability": null,
        "requires_shipping": false,
        "sku": null,
        "stockrecords": [
          {
            "id": null,
            "location_id": null,
            "low_stock_threshold": null,
            "num_allocated": null,
            "num_in_stock": null
          }
        ],
        "title": "string",
        "track_stock": false,
        "unit_cost": "0.00",
        "upc": null,
        "variant_attribute_values": [
          {
            "code": null,
            "name": null,
            "value": null
          }
        ]
      }
    ]
  },
  "event_id": "a7a26ff2-e851-45b6-9634-d595f45458b7",
  "event_type": "product.created",
  "object": "product",
  "webhook": {
    "events": [
      "product.created"
    ],
    "id": 1,
    "store": "example",
    "target": "https://example.com/webhook/"
  }
}